#
# Conditional build:
%bcond_with	tests		# build without tests

%define gem_name rest-client
Summary:	Simple REST client for Ruby
Name:		ruby-%{gem_name}
Version:	1.6.7
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
# Source0-md5:	1f2d6b3b6ceb88e3ee2b327f5e508c22
URL:		http://github.com/archiloque/rest-client
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-mime-types >= 1.16
BuildRequires:	ruby-netrc
BuildRequires:	ruby-rspec
BuildRequires:	ruby-webmock >= 0.9.1
%endif
Requires:	ruby-mime-types >= 1.16
Requires:	ruby-netrc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
microframework style of specifying actions: get, put, post, delete.

%prep
%setup -q -n %{gem_name}-%{version}

%build
%if %{with tests}
# TODO: According to comment in %%{PATCH0}, at least one test does not passes on
# R1.9.3. I gon't go to investigate further ATM.
rspec spec | grep -e "188 examples, [34] failures"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc history.md
%attr(755,root,root) %{_bindir}/restclient
%{ruby_vendorlibdir}/rest-client.rb
%{ruby_vendorlibdir}/rest_client.rb
%{ruby_vendorlibdir}/restclient.rb
%{ruby_vendorlibdir}/restclient
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rest-client.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 63951f6
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 74ff2d9
- new, version 1.6.7

